#!/bin/sh

# This configure script has been written manually
# by STRASSER Michel

mv -f config.mak config.mak.old
mv -f config.h config.h.old

cat << EOF > config.mak
#LioubovnikPython 2004-XXXX, Strasser Michel 
#<NOSPAMmichelNOSPAM.NOSPAMstrasserNOSPAM@PLEASEfreePLEASE.THANKfrYOU>

# This file has been generated automatically by configure.sh
# BUT you are allowed to edit it as your wish
# We are free, aren't we ? 


EOF

sed -e "s/^#/\/\//" config.mak > config.h

pkgConfigTest() {
	mnemo=$1 
	pkgName=$2 
	isFatal=$3

	if pkg-config --exists $pkgName ; 
	then  
		echo "$pkgName 		YES"
		echo "M_Has$mnemo=1" >> config.mak
		echo "#define H_Has$mnemo 1" >> config.h
	else
		if [ $isFatal = TRUE ] ;
		then 	C_Stop="$C_Stop
			FATAL ERROR : $pkgName not found"
			echo "$pkgName 		NO : FATAL"
		else
			echo "$pkgName 		NO : but was optional"
		fi
	fi
}

C_Stop=""

if test -f /usr/include/python2.3/Python.h 
then 	
	echo "python-devel is installed in /usr/include/python2.3/Python.h" 
	echo "M_HasPYD=1" >> config.mak
	echo "#define H_HasPYD 1" >> config.h
else 	
	echo "python-devel not found"  
	C_Stop="$C_Stop
FATAL ERROR : python-devel not found"
fi 

if which pkg-config ; 
then 	C_HasPkgConfig=1;
	echo "pkg-config found" ; 
	
	pkgConfigTest GOB gobject-2.0 TRUE 
	pkgConfigTest LIG LibIGen-2.0 TRUE
	pkgConfigTest GLI glib-2.0 TRUE
	pkgConfigTest LIU Lioubliou-2.0 TRUE
else
	C_Stop="$C_Stop
FATAL ERROR : pkg-config not found"
fi

if test "Empty$C_Stop" = "Empty" ;
then echo "OK, U can compile it";
else 	echo $C_Stop ;
	echo "
stop:" >> config.mak
	echo $C_Stop | sed -e "s/^/	@echo\ /" >> config.mak
fi

