/* LPObj.
 * STRASSER Michel - 20040211		init
 * */

#ifndef __LP_OBJ_H__
#define __LP_OBJ_H__

#include <glib.h>
#include <glib-object.h>

#define	LP_TYPE_OBJ			(LPObj_getType ())
#define LP_OBJ(object)		(G_TYPE_CHECK_INSTANCE_CAST ((object), LP_TYPE_OBJ, LPObj))
#define LP_OBJ_CLASS(object)		(G_TYPE_CHECK_CLASS_CAST ((object), LP_TYPE_OBJ, LPObjClass))
#define LP_IS_OBJ(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), \
							LP_TYPE_OBJ))
#define LP_IS_OBJ_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), \
							LP_TYPE_OBJ))
#define LP_OBJ_TYPE(object)		  (G_TYPE_FROM_INSTANCE (object))
#define LP_OBJ_TYPE_NAME(object)	  (g_type_name (LP_OBJ_TYPE (object)))

typedef struct _LPObj	LPObj;
typedef struct _LPObjClass	LPObjClass;

struct _LPObj
{
	GObject 	parent_instance;
	GObject*	lioubliou;	// lioubliou server
	char*		portsDir;
};

struct _LPObjClass
{
	GObjectClass 	parent_class;
};

G_BEGIN_DECLS

GType		
LPObj_getType		(void);

GObject* 	
LPObj_new			(int argc,
				 char** argv,
				 char* portsDir,
				 char* appName);

void
LPObj_run			(LPObj* self);

G_END_DECLS

#endif /* __LP_OBJ_H__ */
